/*
 * This file was generated by the CommonAPI Generators.
 * Used org.genivi.commonapi.someip 3.2.0.v202012010944.
 * Used org.franca.core 0.13.1.201807231814.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 */
#include <v1/commonapi/telux/cv2x/Cv2xRadioManagerSomeIPProxy.hpp>

#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

#include <CommonAPI/SomeIP/AddressTranslator.hpp>

#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v1 {
namespace commonapi {
namespace telux {
namespace cv2x {

std::shared_ptr<CommonAPI::SomeIP::Proxy> createCv2xRadioManagerSomeIPProxy(
    const CommonAPI::SomeIP::Address &_address,
    const std::shared_ptr<CommonAPI::SomeIP::ProxyConnection> &_connection) {
    return std::make_shared< Cv2xRadioManagerSomeIPProxy>(_address, _connection);
}

void initializeCv2xRadioManagerSomeIPProxy() {
    CommonAPI::SomeIP::AddressTranslator::get()->insert(
        "local:commonapi.telux.cv2x.Cv2xRadioManager:v1_0:commonapi.telux.cv2x.Cv2xRadioManager",
        0x1234, 0x5678, 1, 0);
    CommonAPI::SomeIP::Factory::get()->registerProxyCreateMethod(
        "commonapi.telux.cv2x.Cv2xRadioManager:v1_0",
        &createCv2xRadioManagerSomeIPProxy);
}

INITIALIZER(registerCv2xRadioManagerSomeIPProxy) {
    CommonAPI::SomeIP::Factory::get()->registerInterface(initializeCv2xRadioManagerSomeIPProxy);
}

Cv2xRadioManagerSomeIPProxy::Cv2xRadioManagerSomeIPProxy(
    const CommonAPI::SomeIP::Address &_address,
    const std::shared_ptr<CommonAPI::SomeIP::ProxyConnection> &_connection)
        : CommonAPI::SomeIP::Proxy(_address, _connection),
          ::v1::commonapi::telux::common::CommonDefinesSomeIPProxy(_address, _connection),
          ::v1::commonapi::telux::cv2x::Cv2xRadioTypesSomeIPProxy(_address, _connection),
          currentCv2xStatus_(*this, 0x80f2, CommonAPI::SomeIP::event_id_t(0x80f2), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t* >(nullptr)))
{
}

Cv2xRadioManagerSomeIPProxy::~Cv2xRadioManagerSomeIPProxy() {
    completed_.set_value();
}


Cv2xRadioManagerSomeIPProxy::CurrentCv2xStatusEvent& Cv2xRadioManagerSomeIPProxy::getCurrentCv2xStatusEvent() {
    return currentCv2xStatus_;
}

void Cv2xRadioManagerSomeIPProxy::GetServiceStatus(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::common::CommonDefines::ServiceStatus &_status, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ServiceStatus, ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ServiceStatus,
                ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7530),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_status);
    _error = deploy_error.getValue();
    _status = deploy_status.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioManagerSomeIPProxy::GetServiceStatusAsync(GetServiceStatusAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ServiceStatus, ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ServiceStatus,
                ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7530),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ServiceStatus, ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t > _status) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _status.getValue());
        },
        std::make_tuple(deploy_error, deploy_status));
}

void Cv2xRadioManagerSomeIPProxy::startCv2x(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::common::CommonDefines::Status &_status, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::Status, ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::Status,
                ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7531),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_status);
    _error = deploy_error.getValue();
    _status = deploy_status.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioManagerSomeIPProxy::startCv2xAsync(StartCv2xAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::Status, ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::Status,
                ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7531),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::Status, ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t > _status) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _status.getValue());
        },
        std::make_tuple(deploy_error, deploy_status));
}

void Cv2xRadioManagerSomeIPProxy::stopCv2x(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::common::CommonDefines::Status &_status, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::Status, ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::Status,
                ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7532),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_status);
    _error = deploy_error.getValue();
    _status = deploy_status.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioManagerSomeIPProxy::stopCv2xAsync(StopCv2xAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::Status, ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::Status,
                ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7532),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::Status, ::v1::commonapi::telux::common::CommonDefines_::StatusDeployment_t > _status) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _status.getValue());
        },
        std::make_tuple(deploy_error, deploy_status));
}

void Cv2xRadioManagerSomeIPProxy::requestCv2xStatus(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatus &_status, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatus, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatus,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7533),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_status);
    _error = deploy_error.getValue();
    _status = deploy_status.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioManagerSomeIPProxy::requestCv2xStatusAsync(RequestCv2xStatusAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatus, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatus,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7533),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatus, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t > _status) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _status.getValue());
        },
        std::make_tuple(deploy_error, deploy_status));
}

void Cv2xRadioManagerSomeIPProxy::requestCv2xStatusEx(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatusEx &_statusEx, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatusEx, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t> deploy_statusEx(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatusEx,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7534),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_statusEx);
    _error = deploy_error.getValue();
    _statusEx = deploy_statusEx.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioManagerSomeIPProxy::requestCv2xStatusExAsync(RequestCv2xStatusExAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatusEx, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t> deploy_statusEx(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatusEx,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7534),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xStatusEx, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t > _statusEx) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _statusEx.getValue());
        },
        std::make_tuple(deploy_error, deploy_statusEx));
}

void Cv2xRadioManagerSomeIPProxy::getOwnVersion(uint16_t& ownVersionMajor, uint16_t& ownVersionMinor) const {
    ownVersionMajor = 1;
    ownVersionMinor = 0;
}

std::future<void> Cv2xRadioManagerSomeIPProxy::getCompletionFuture() {
    return completed_.get_future();
}

} // namespace cv2x
} // namespace telux
} // namespace commonapi
} // namespace v1
